unit UPRGType;{v0.22}

interface
 { ToDo list }
uses
  UlanType, ULRecTyp;{ULanRECs.LST}

const
  UPRGID = ord('U') + 256*ord('P') + 256*256*ord('R') + 256*256*256*ord('G');

type
  TUPRGRec = packed record {<Caption="Program" Enabled=1 Visible=1
    ChildRecIDs=UPSSID,UPEPID Uses=UPSSType,UPEPType RootChild=1 HasRecName=1>}
    Head: TULRecHead;
    Info: TULRecInfo;
    PrgName: TULPrgName;{<Caption="Program Name" Enabled=1>}
    PrgTime: TULPrgTime;{<Caption="Program Time"
      Hint="The current time of the program (if running)">} 
  end;
  PUPRGRec = ^TUPRGRec;

implementation

end.
